//
// shift the sensors and make sure that there is only a SpectN subdetector
//
{
  gROOT->Reset();

  const Float_t kMove = -0.7;

  TFile f("$PHATHOME/init/Detector_TB98.root");
  TPhDetector *det = (TPhDetector*)f.Get("PMC_TB98_V4.30");

  TIter NextSensor(det->GetSensorList());
  TPhSpectSensor *Sensor;
  TPhSubDetector *NegArm = det->GetSubDetector("SpectN");

  while(Sensor = (TPhSpectSensor*) NextSensor()) {
    if(Sensor->GetLayer() > 1) {
      Sensor->SetX0(Sensor->GetX0() - kMove);
      Sensor->SetX1(Sensor->GetX1() - kMove);
      Sensor->SetPosition(Sensor->GetX()- kMove,
			  Sensor->GetY(), Sensor->GetZ()); 
      Sensor->CalcBoxPoints();
    }
    if(!NegArm->IsThere(Sensor->GetName()))
      NegArm->AddSensor(Sensor);
  }
  det->GetSubDetector("SpectP")->GetLayerList()->Clear();
  det->GetSubDetector("SpectP")->BuildSensorList();
  det->SetName("TB98_V1.0");
  det->GetSubDetectorList()->Clear();
  det->GetSubDetectorList()->Add(NegArm);
}
